Package io.vertx.rxjava3.mqtt.messages

## Class MqttUnsubscribeMessage

- java.lang.Object
- - io.vertx.rxjava3.mqtt.messages.MqttUnsubscribeMessage

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`, `MqttMessage`

      public class MqttUnsubscribeMessage
      extends Object
      implements io.vertx.lang.rx.RxDelegate, MqttMessage

  Represents an MQTT UNSUBSCRIBE message

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<MqttUnsubscribeMessage>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MqttUnsubscribeMessage​(MqttUnsubscribeMessage delegate)` |
    `MqttUnsubscribeMessage​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MqttUnsubscribeMessage` | `create​(int messageId, List<String> topics, MqttProperties properties)` | Create a concrete instance of a Vert.x unsubscribe message
    `boolean` | `equals​(Object o)` |
    `MqttUnsubscribeMessage` | `getDelegate()` |
    `int` | `hashCode()` |
    `int` | `messageId()` |
    `static MqttUnsubscribeMessage` | `newInstance​(MqttUnsubscribeMessage arg)` |
    `MqttProperties` | `properties()` |
    `List<String>` | `topics()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<MqttUnsubscribeMessage> __TYPE_ARG

  - ### Constructor Detail

    - #### MqttUnsubscribeMessage

          public MqttUnsubscribeMessage​(MqttUnsubscribeMessage delegate)

    - #### MqttUnsubscribeMessage

          public MqttUnsubscribeMessage​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public MqttUnsubscribeMessage getDelegate()

      Specified by:
        `getDelegate` in interface `MqttMessage`
      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### messageId

          public int messageId()

      Specified by:
        `messageId` in interface `MqttMessage`
      Returns:
        Message identifier

    - #### topics

          public List<String> topics()

      Returns:
        List of topics to unsubscribe

    - #### create

          public static MqttUnsubscribeMessage create​(int messageId,
                                                      List<String> topics,
                                                      MqttProperties properties)

      Create a concrete instance of a Vert.x unsubscribe message
      Parameters:
        `messageId` - message identifier
        `topics` - list of topics to unsubscribe
        `properties` - UNSUBSCRIBE message properties
      Returns:

    - #### properties

          public MqttProperties properties()

      Returns:
        MQTT properties

    - #### newInstance

          public static MqttUnsubscribeMessage newInstance​(MqttUnsubscribeMessage arg)